Skip to main content
POST
/
v3
/
async
/
kling-v2.6-pro-i2v
Kling V2.6 Pro Image-to-Video
curl --request POST \
  --url https://api.novita.ai/v3/async/kling-v2.6-pro-i2v \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "image": "<string>",
  "sound": true,
  "prompt": "<string>",
  "duration": 123,
  "cfg_scale": 123,
  "voice_list": [
    "<string>"
  ],
  "aspect_ratio": "<string>",
  "negative_prompt": "<string>"
}
'
import requests

url = "https://api.novita.ai/v3/async/kling-v2.6-pro-i2v"

payload = {
"image": "<string>",
"sound": True,
"prompt": "<string>",
"duration": 123,
"cfg_scale": 123,
"voice_list": ["<string>"],
"aspect_ratio": "<string>",
"negative_prompt": "<string>"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
image: '<string>',
sound: true,
prompt: '<string>',
duration: 123,
cfg_scale: 123,
voice_list: ['<string>'],
aspect_ratio: '<string>',
negative_prompt: '<string>'
})
};

fetch('https://api.novita.ai/v3/async/kling-v2.6-pro-i2v', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "task_id": "<string>"
}
The Kling v2.6 Pro Image-to-Video tool transforms static images into dynamic videos, generating natural motion and smoother scene dynamics while maintaining subject consistency.
This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the Task Result API to retrieve the video generation results.

Request Headers

Content-Type
string
required
Supports: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Request Body

image
string
required
First frame image for the video; supported formats: .jpg, .jpeg, .png. Max file size: 10MB; width and height must be >= 300px; aspect ratio must be between 1:2.5 and 2.5:1.
sound
boolean
default:true
Whether to generate audio along with the video.
prompt
string
required
Positive prompt text for video generation; max 2500 characters.
duration
integer
default:5
Duration of the generated media (in seconds).Optional values: 5, 10
cfg_scale
number
Controls the flexibility of video generation; higher values make the generated content adhere more closely to the prompt.Value range: [0, 1]
voice_list
string[]
List of voice IDs (max 2).Array length: 0 - 2
aspect_ratio
string
default:"16:9"
Aspect ratio of the generated video.Optional values: 16:9, 9:16, 1:1
negative_prompt
string
Negative prompt; max 2500 characters.

Response

task_id
string
required
Use the task_id to request the Task Result API to retrieve the generated outputs.
Last modified on July 3, 2026